import type { ISession, ResolutionOptions } from '../types.js';
/**
 * https://www.ncbi.nlm.nih.gov/pmc/tools/id-converter-api/
 */
export declare function convertPMID2PMCID(session: ISession, PMID: string, opts: ResolutionOptions): Promise<string | undefined>;
export declare function checkIfPubMedCentralHasJats(session: ISession, urlOrDoi: string, opts: ResolutionOptions): Promise<string | undefined>;
export declare function downloadJatsFromUrl(session: ISession, urlOrDoi: string, opts?: ResolutionOptions): Promise<{
    success: boolean;
    source: string;
    data?: string;
}>;
